/////////////////
// telescope.h //
/////////////////

/******************************************************************************
 * Contains overall program definitions and stuff for the threads.
******************************************************************************/

/******************************************************************************
 * Copyright  2011, Mike Roddewig (mroddewi@mines.edu).
 * All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License v3 as published 
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
******************************************************************************/

#ifndef TELESCOPE_H
#define TELESCOPE_H

#include <time.h>
#include <sys/types.h>


////////////////
// Structures //
////////////////

typedef struct {
	struct tm record_time;
	double fractional_secs;
	int32_t num_samples;
} telescope_message_header_t;

#endif